using MetagraphOptimization
using Test

@testset "MetagraphOptimization Tests" begin
    include("unit_tests_utility.jl")
    include("unit_tests_tasks.jl")
    include("unit_tests_nodes.jl")
    include("unit_tests_properties.jl")
    include("unit_tests_estimator.jl")
    include("unit_tests_abcmodel.jl")
    include("node_reduction.jl")
    include("unit_tests_graph.jl")
    include("unit_tests_execution.jl")
    include("unit_tests_optimization.jl")

    include("known_graphs.jl")
end
